import { render, screen } from '@testing-library/react'
import userEvent from '@testing-library/user-event'
import React from 'react'
import { Provider } from 'react-redux'
import { createMockEcolyoStore } from 'tests/__mocks__/store'
import TemperatureComparisonModal from './TemperatureComparisonModal'

describe('TemperatureComparisonModal component', () => {
  const store = createMockEcolyoStore()
  it('should be rendered correctly', () => {
    const { baseElement } = render(
      <Provider store={store}>
        <TemperatureComparisonModal open={true} handleCloseClick={jest.fn()} />
      </Provider>
    )
    expect(baseElement).toMatchSnapshot()
  })

  it('should close modal', async () => {
    const mockHandleClose = jest.fn()
    render(
      <Provider store={store}>
        <TemperatureComparisonModal
          open={true}
          handleCloseClick={mockHandleClose}
        />
      </Provider>
    )
    await userEvent.click(screen.getAllByRole('button')[0])
    expect(mockHandleClose).toHaveBeenCalledTimes(1)
  })
})
