import { render, screen } from '@testing-library/react'
import { ProfileTypeStepForm } from 'enums'
import React from 'react'
import { Provider } from 'react-redux'
import {
  mockProfileType,
  mockProfileTypeAnswers,
} from 'tests/__mocks__/profileType.mock'
import { createMockEcolyoStore } from 'tests/__mocks__/store'
import ProfileTypeFormNumber from './ProfileTypeFormNumber'

describe('ProfileTypeFormNumber component', () => {
  const store = createMockEcolyoStore()

  it('should be rendered correctly', () => {
    render(
      <Provider store={store}>
        <ProfileTypeFormNumber
          step={ProfileTypeStepForm.COOKING_FLUID}
          viewedStep={ProfileTypeStepForm.AREA}
          currentProfileType={mockProfileType}
          answerType={mockProfileTypeAnswers[1]}
          setNextStep={jest.fn()}
          setPreviousStep={jest.fn()}
        />
      </Provider>
    )
    expect(screen.getByRole('spinbutton')).toBeInTheDocument()
  })
})
