import fetch from 'node-fetch'
global.fetch = fetch

import CozyClient from 'cozy-client'
import schema from 'doctypes'

const assertEnvVar = (varName: string) => {
  if (!process.env[varName]) {
    throw new Error(`${varName} environment variable is not set`)
  }
}

export const runService = (service: ({ client }: any) => Promise<void>) => {
  assertEnvVar('COZY_URL')
  assertEnvVar('COZY_CREDENTIALS')

  const client = CozyClient.fromEnv(process.env, { schema })

  return service({ client }).catch((e: unknown) => {
    console.error(e)
    process.exit(1)
  })
}
